// TimeoutDialog.cpp : implementation file
//

#include "stdafx.h"
#include "geoDataClient.h"
#include "TimeoutDialog.h"
#include "..\inc\timeoutdialog.h"


// CTimeoutDialog dialog

IMPLEMENT_DYNAMIC(CTimeoutDialog, CDialog)
CTimeoutDialog::CTimeoutDialog(CWnd* pParent /* = NULL */, int timeout /* = 120 */)
	: CDialog(CTimeoutDialog::IDD, pParent)
  , nHTTPTimeout(timeout)
{
}

CTimeoutDialog::~CTimeoutDialog()
{
}

void CTimeoutDialog::DoDataExchange(CDataExchange* pDX)
{
  CDialog::DoDataExchange(pDX);
  DDX_Text(pDX, IDC_TIMEOUT, nHTTPTimeout);
	DDV_MinMaxInt(pDX, nHTTPTimeout, 1, 300);
}

BEGIN_MESSAGE_MAP(CTimeoutDialog, CDialog)
  ON_BN_CLICKED(IDYES, OnBnClickedYes)
  ON_BN_CLICKED(IDNO, OnBnClickedNo)
END_MESSAGE_MAP()

int CTimeoutDialog::getHTTPTimeout()
{
  return nHTTPTimeout;
}

void CTimeoutDialog::setHTTPTimeout(int nHTTPTimeout)
{
  this->nHTTPTimeout = nHTTPTimeout;
}

// CTimeoutDialog message handlers

void CTimeoutDialog::OnBnClickedYes()
{
  // TODO: Add your control notification handler code here
  UpdateData();
  if((nHTTPTimeout >= 1) && (nHTTPTimeout <= 300))
  {
    EndDialog(IDYES);
  }
}

void CTimeoutDialog::OnBnClickedNo()
{
  // TODO: Add your control notification handler code here
  EndDialog(IDNO);
}
